/* MyQuickDrawView */

#import <Cocoa/Cocoa.h>
#import <QuickTime/QuickTime.h>

@interface MyQuickDrawView : NSQuickDrawView
{
    NSTimer 			*gMyTimer;		// our timer for idling the sequence grabber
    SeqGrabComponent	gSeqGrab;		// the sequence grabber component
    SGChannel			gSGChanVideo;	// the sequence grabber channel component
    GWorldPtr 			gPGWorld;		// gworld used for decompression
	Rect				gBoundsRect;	// rect we are drawing into
	ImageSequence 		gDecomSeq;		// unique identifier for our decompression sequence
	ImageSequence 		gDrawSeq;		// unique identifier for our draw sequence
    long				gImageSize;		// size of the image in our buffer to draw
}

-(ComponentResult)setupDecomp;
-(ComponentResult)decompToWindow;
-(void)doDecomp:(NSRect)rect;
-(void)drawRect:(NSRect)rect;
-(void) sgIdleTimer:(id)sender;
-(OSErr) doSeqGrab:(NSRect)grabRect;
-(GWorldPtr)gworld;
-(ImageSequence)decomSeq;
-(ImageSequence)drawSeq;
-(SGChannel)sgChanVideo;
-(Rect)boundsRect;
-(void)endGrab;

-(NSImage *)gworldToNSImage:(GWorldPtr) gWorldPtr;

@end

pascal OSErr mySGDataProc(SGChannel c, 
						  Ptr p,
						  long len,
						  long *offset,
						  long chRefCon,
						  TimeValue time,
						  short writeType, 
						  long refCon);
void saveQDViewObjectForCallback(void *theObject);
